/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\quests\sawyerquest\SawyerQuest.cs
Lines of code: 42
***********************************************************/


using System;using System.Collections;using System.Collections.Generic;using Server.Items;using Server.Targeting;using Server.ContextMenus;using Server.Gumps;using Server.Misc;using Server.Network;using Server.Spells;namespace Server.Mobiles
{[CorpseName( "Lord Sawyer's Corpse" )]public class Sawyer : Mobile{public virtual bool IsInvulnerable{ get{ return true; } }
[Constructable]public Sawyer(){

///////////STR/DEX/INT
InitStats( 31, 41, 51 );

///////////name
Name = "Lord Sawyer";

///////////title
Title = "the Sheriff of Malas";

///////////sex. 0x191 is female, 0x190 is male.
Body = 0x190;

///////////skincolor
Hue = Utility.RandomSkinHue();

///////////Random hair and haircolor
Utility.AssignRandomHair( this );

///////////clothing and hues
AddItem( new Server.Items.Robe( Utility.RandomBlueHue() ) );
AddItem( new Server.Items.ThighBoots( Utility.RandomBlueHue() ) );
AddItem( new Server.Items.Cloak( Utility.RandomBlueHue() ) );


///////////immortal and frozen to-the-spot features below:
Blessed = true;
CantWalk = true;

///////////Adding a backpack
Container pack = new Backpack();
pack.DropItem( new Gold( 250, 300 ) );
pack.Movable = false;
AddItem( pack );
}

public Sawyer( Serial serial ) : base( serial ){}
public override void GetContextMenuEntries( Mobile from, List<ContextMenuEntry> list ) 
{ base.GetContextMenuEntries( from, list ); list.Add( new SawyerEntry( from, this ) ); } 
public override void Serialize( GenericWriter writer ){base.Serialize( writer );writer.Write( (int) 0 );}
public override void Deserialize( GenericReader reader ){base.Deserialize( reader );int version = reader.ReadInt();}
public class SawyerEntry : ContextMenuEntry{private Mobile m_Mobile;private Mobile m_Giver;
public SawyerEntry( Mobile from, Mobile giver ) : base( 6146, 3 ){m_Mobile = from;m_Giver = giver;}
public override void OnClick(){if( !( m_Mobile is PlayerMobile ) )return;
PlayerMobile mobile = (PlayerMobile) m_Mobile;{

///////////gump name
if ( ! mobile.HasGump( typeof( SmugglerQuestGump ) ) ){
mobile.SendGump( new SmugglerQuestGump( mobile ));}}}}
public override bool OnDragDrop( Mobile from, Item dropped ){               Mobile m = from;PlayerMobile mobile = m as PlayerMobile;
if ( mobile != null){

///////////item to be dropped
if( dropped is StolenReleasePapers ){if(dropped.Amount!=1)
{this.PrivateOverheadMessage( MessageType.Regular, 1153, false, "That's not what I wanted!", mobile.NetState );return false;}
dropped.Delete();

///////////the reward

mobile.AddToBackpack( new Gold( 1000+Utility.Random(4001) ) );
if(0.015>Utility.RandomDouble())mobile.AddToBackpack( new randomartydeed( ) );
else if(0.05>Utility.RandomDouble())mobile.AddToBackpack( new skilldeed( ) );

///////////thanks message
this.PrivateOverheadMessage( MessageType.Regular, 1153, false, "I thank you kindly and as promised here is your reward", mobile.NetState );


return true;
}
else{this.PrivateOverheadMessage( MessageType.Regular, 1153, false,"I have no need for this...", mobile.NetState );}}return false;}}}
